Subject: [clisp-list] CLISP on OpenBSD again

From: William Harold Newman <[email-masked]>
Date: Wed Jan 30 19:22:02 2002

I've had two problems with rebuilding CLISP from current CVS on
my OpenBSD 2.9 system.

I don't think my first problem was OpenBSD specific. What's the
recommended procedure for rebuilding after "cvs update"? I tried
to follow the procedure in unix/INSTALL, but "configure" failed:
	balefire:clisp/ $ ./configure ; beep
	/usr/local/src/clisp/modules
	../src/lndir: destination already exists: /usr/local/src/clisp/src/bindings
Since I don't know enough to confidently clean up the CLISP directory
system by hand, I just punted and checked out a fresh copy. But that
seems suboptimal. Is there some sort of automated cleanup that I
should be doing before re-running configure? Or is it forbidden ever
to re-run configure after you've run it once? Did I just overlook
something obvious in INSTALL or elsewhere which guides me through the
gotchas of doing a build more than once in the same directory?

In my freshly checked-out directory, I got through the basic 
"make" step successfully, but "make check" failed, with the 
tail of the output looking like
  cmp -s deprecated.fas stage/deprecated.fas  || (echo "Test failed." ; exit 1)
  cmp -s config.fas stage/config.fas  || (echo "Test failed." ; exit 1)
  echo "Test passed."
  Test passed.
  mkdir suite
  cd suite && ln -s ../../tests/Makefile .
  cd suite && ln -s ../../tests/*.lisp .
  cd suite && ln -s ../../tests/*.tst .
  LISP="`pwd`/lisp.run -M `pwd`/lispinit.mem -B `pwd` -N `pwd`/locale -Efile UTF-8 -norc"; export LISP; cd suite; make LISP="$LISP"
  "Makefile", line 2: Missing dependency operator
  "Makefile", line 5: Need an operator
  "Makefile", line 8: Need an operator
  Fatal errors encountered -- cannot continue
  *** Error code 1
My guess is that ifneq isn't available in the basic implementation
that you get when you type "make" on an OpenBSD system. I'm not sure
of that: I looked in OpenBSD "man make" and in the info pages for GNU
make, and didn't get a quick definite answer. But if I'm right, then
perhaps CLISP should hunt down GNU make (commonly installed as gmake,
and probably findable by configure) instead of just using whatever
happens to be local "make"? Or perhaps the "make test" stuff could go
back to whatever (non-GNU-specific?) stuff it used last year when I was
able to build the system, including tests, on OpenBSD?

-- 
William Harold Newman <[email-masked]>
"Look on my works, ye Mighty, and despair!" -- Ozymandias, King of Kings 
PGP key fingerprint 85 CE 1C BA 79 8D 51 8C  B9 25 FB EE E0 C3 E5 7C

---

From: Arseny Slobodjuck <[email-masked]>
Date: Wed Jan 30 20:18:03 2002

William> I've had two problems with rebuilding CLISP from current CVS on
William> my OpenBSD 2.9 system.

William> I don't think my first problem was OpenBSD specific. What's the
William> recommended procedure for rebuilding after "cvs update"?

William> I tried
William> to follow the procedure in unix/INSTALL, but "configure" failed:
William>         balefire:clisp/ $ ./configure ; beep
William>         /usr/local/src/clisp/modules
William>         ../src/lndir: destination already exists: /usr/local/src/clisp/src/bindings
I currently use './configure build/winter', so that build takes
place in 'build/winter'. If something goes wrong I'm deleting build/winter
and doing configure again.

-- 
Best regards,
 Arseny                            mailto:[email-masked]

---

From: Sam Steingold <[email-masked]>
Date: Thu Jan 31 07:41:03 2002

> * In message <[email-masked]>
> * On the subject of "[clisp-list] CLISP on OpenBSD again"
> * Sent on Wed, 30 Jan 2002 21:09:17 -0600
> * Honorable William Harold Newman <[email-masked]> writes:
>
> system by hand, I just punted and checked out a fresh copy.

        make clean
or
        make distclean

> Did I just overlook something obvious in INSTALL or elsewhere which
> guides me through the gotchas of doing a build more than once in the
> same directory?

step 2 suggests giving ./configure a directory name as an argument.
I always do
$ rm -rf build; ./configure --build build

-- 
Sam Steingold (http://www.podval.org/~sds)
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
The world will end in 5 minutes.  Please log out.